RNAPLEX(1)

NAME
RNAplex - manual page for RNAplex 2.7.0

SYNOPSIS
RNAplex [options]

DESCRIPTION
RNAplex 2.7.0

Find targets of a query RNA

reads two RNA sequences from stdin or <filename> and computes optimal and suboptimal secondary structures for their hybridization. The calculation is simplified by allowing only inter-molecular base pairs. Accessibility effects can be estimated by RNAplex if a RNAplfold accessibility profile is provided. The computed optimal and suboptimal structure are written to stdout, one structure per line. Each line consist of: The structure in dot bracket format with a "&" separating the two strands. The range of the structure in the two sequences in the format "from,to : from,to"; the energy of duplex structure in kcal/mol. The format is especially useful for computing the hybrid structure between a small probe sequence and a long target sequence.

-h, --help
    Print help and exit

--detailed-help
    Print help, including all details and hidden options, and exit

--full-help
    Print help, including hidden options, and exit

--version
    Print version and exit

-v, --verbose
    Be verbose. (default=off)

    Lower the log level setting such that even INFO messages are passed through.

  I/O Options:

    Command line options for input and output (pre-)processing

-q, --query=STRING
    File containing the query sequence.

    Input sequences can be given piped to RNAplex or given in a query file with the -q option. Note that the -q option implies that the -t option is also used

-t, --target=STRING
    File containing the target sequence.

    Input sequences can be given piped to RNAplex or given in a target file with the -t option. Note that the -t option implies that the -q option is also used

-a, --accessibility-dir=STRING
    Location of the accessibility profiles.

    This option switches the accessibility modes on and indicates in which directory accessibility profiles as generated by RNAplfold can be found

-b, --binary
    Allow the reading and parsing of memory dumped opening energy file

    (default=off)

    The -b option allows one to read and process opening energy files which are saved in binary format

    This can reduce by a factor of 500x-1000x the time needed to process those

    files. RNAplex recognizes the corresponding opening energy files by looking for files named after the sequence and containing the suffix _openen_bin. Please look at the man page of RNAplfold if you need more information on how to produce binary opening energy files.

--log-level=level
    Set log level threshold. (default=`2')

    By default, any log messages are filtered such that only warnings (level 2) or errors (level 3) are printed. This setting allows for specifying the log level threshold, where higher values result in fewer information. Log-level 5 turns off all messages, even errors and other critical information.

--log-file[=filename]
    Print log messages to a file instead of stderr. (default=`RNAplex.log')

--log-time
    Include time stamp in log messages.

    (default=off)

--log-call
    Include file and line of log calling function.

    (default=off)

  Algorithms:

    Options which alter the computing behaviour of RNAplex.

-l, --interaction-length=INT
    Maximal length of an interaction (default=`40')

    Maximal allowed length of an interaction

-c, --extension-cost=INT
    Cost to add to each nucleotide in a duplex (default=`0')

    Cost of extending a duplex by one nucleotide. Allows one to find compact duplexes, having few/small bulges or internal loops Only useful when no accessibility profiles are available. This option is disabled if accessibility profiles are used (-a option)

-p, --probe-mode
    Compute Tm for probes (default=off)

    Use this option if you want to compute the melting temperature of your probes

-Q, --probe-concentration=DOUBLE
    Set the probe concentration for the Tm

    computation

    (default=`0.1')

-N, --na-concentration=DOUBLE Set the Na+ concentration for the Tm
    computation.

    (default=`1.0')

-M, --mg-concentration=DOUBLE Set the Mg2+ concentration for the Tm
    computation.

    (default=`1.0')

-K, --k-concentration=DOUBLE
    Set the K+ concentration for the Tm computation.

    (default=`1.0')

-U, --tris-concentration=DOUBLE
    Set the tris+ concentration for the Tm

    computation.

    (default=`1.0')

-f, --fast-folding=INT
    Speedup of the target search (default=`0')

    This option allows one to decide if the backtracking has to be done (-f 0, -f 2) or not (-f 1). For -f 0 the structure is computed based on the standard energy model. This is the slowest and most precise mode of RNAplex. With -f 2, the structure is computed based on the approximated plex model. If a lot of targets are returned this is can greatly improve the runtime of RNAplex. -f 1 is the fastest mode, as no structure are recomputed

-V, --scale-accessibility=DOUBLE
    Rescale all opening energy by a factor V

    (default=`1.0')

    Scale-factor for the accessibility. If V is set to 1 then the scaling has no effect on the accessibility.

-A, --alignment-mode
    Tells RNAplex to compute interactions based on alignments

    (default=off)

    If the A option is set RNAplex expects clustalw files as input for the -q and -t option.

-k, --convert-to-bin
    If set, RNAplex will convert all opening energy file in a directory set by the -a option into binary opening energy files

    (default=off)

    RNAplex can be used to convert existing text formatted opening energy files into binary formatted files. In this mode RNAplex does not compute interactions.

-z, --duplex-distance=INT
    Distance between target 3' ends of two consecutive duplexes

    (default=`0')

    Distance between the target 3'ends of two consecutive duplexes. Should be set to the maximal length of interaction to get good results

    Smaller z leads to larger overlaps between consecutive duplexes.

-e, --energy-threshold=DOUBLE Minimal energy for a duplex to be returned
    (default=`-100000')

    Energy threshold for a duplex to be returned. The threshold is set on the total energy of interaction, i.e. the hybridization energy corrected for opening energy if -a is set or the energy corrected by -c. If unset, only the mfe will be returned

-L, --WindowLength=INT
    Tells how large the region around the target site should be for redrawing the alignment interaction

    (default=`1')

    This option allows one to specify how large the region surrounding the target site should be set when generating the alignment figure of the interaction

  Structure Constraints:

    Command line options to interact with the structure constraints feature of this program

-C, --constraint
    Calculate structures subject to constraints. (default=off)

    The program reads first the sequence, then a string containing constraints on the structure for the query sequence encoded with the symbols: . (no constraint for this base) | (the corresponding base has to be paired)

  Energy Parameters:

    Energy parameter sets can be adapted or loaded from user-provided input files

-T, --temp=DOUBLE
    Rescale energy parameters to a temperature of temp C. Default is 37C.

    (default=`37.0')

-P, --paramFile=paramfile
    Read energy parameters from paramfile, instead of using the default parameter set.

    Different sets of energy parameters for RNA and DNA should accompany your distribution. See the RNAlib documentation for details on the file format. When passing the placeholder file name "DNA", DNA parameters are loaded without the need to actually specify any input file.

-4, --noTetra
    Do not include special tabulated stabilizing energies for tri-, tetra- and hexaloop hairpins.

    (default=off)

    Mostly for testing.

--salt=DOUBLE
    Set salt concentration in molar (M). Default is 1.021M.

--saltInit=DOUBLE
    Provide salt correction for duplex initialization (in kcal/mol).

  Model Details:

    Tweak the energy model and pairing rules additionally using the following parameters

--helical-rise=FLOAT
    Set the helical rise of the helix in units of Angstrom.

    (default=`2.8')

    Use with caution! This value will be re-set automatically to 3.4 in case DNA parameters are loaded via -P DNA and no further value is provided.

--backbone-length=FLOAT
    Set the average backbone length for looped regions in units of Angstrom.

    (default=`6.0')

    Use with caution! This value will be re-set automatically to 6.76 in case DNA parameters are loaded via -P DNA and no further value is provided.

  Plotting:

    Command line options for changing the default behavior of structure layout and pairing probability plots

-I, --produce-ps=STRING
    Draw an alignment annotated interaction from RNAplex.

    This option allows one to produce interaction figures in PS-format a la RNAalifold, where base-pair conservation is represented in color-coded format. In this mode no interaction are computed, but the -I option indicates the location of the file containing interactions between two RNA (alignments/sequence) from a previous run. If the -A option is not set a structure figure a la RNAfold with color-coded annotation of the accessibilities is returned

REFERENCES
If you use this program in your work you might want to cite: R. Lorenz, S.H. Bernhart, C. Hoener zu Siederdissen, H. Tafer, C. Flamm, P.F. Stadler and I.L. Hofacker (2011), "ViennaRNA Package 2.0", Algorithms for Molecular Biology: 6:26 I.L. Hofacker, W. Fontana, P.F. Stadler, S. Bonhoeffer, M. Tacker, P. Schuster (1994), "Fast Folding and Comparison of RNA Secondary Structures", Monatshefte f. Chemie: 125, pp 167-188 R. Lorenz, I.L. Hofacker, P.F. Stadler (2016), "RNA folding with hard and soft constraints", Algorithms for Molecular Biology 11:1 pp 1-13 The calculation of duplex structure is based on dynamic programming algorithm originally developed by Rehmsmeier and in parallel by Hofacker. H. Tafer and I.L. Hofacker (2008), "RNAplex: a fast tool for RNA-RNA interaction search.", Bioinformatics: 24(22), pp 2657-2663 S. Bonhoeffer, J.S. McCaskill, P.F. Stadler, P. Schuster (1993), "RNA multi-structure landscapes", Euro Biophys J: 22, pp 13-24 The energy parameters are taken from: D.H. Mathews, M.D. Disney, D. Matthew, J.L. Childs, S.J. Schroeder, J. Susan, M. Zuker, D.H. Turner (2004), "Incorporating chemical modification constraints into a dynamic programming algorithm for prediction of RNA secondary structure", Proc. Natl. Acad. Sci. USA: 101, pp 7287-7292 D.H Turner, D.H. Mathews (2009), "NNDB: The nearest neighbor parameter database for predicting stability of nucleic acid secondary structure", Nucleic Acids Research: 38, pp 280-282

AUTHOR
Hakim Tafer, Ivo L. Hofacker

REPORTING BUGS
If in doubt our program is right, nature is at fault. Comments should be sent to rna@tbi.univie.ac.at.